Galaxy S4 Which installer?

Hello, we have a Rooted, Verizon version of Samsung Galaxy S4 (SCH-l545) running Android 5.0.1

-Will Safestrap work with Android 5.0.1? We read safestrap is necessary for versions greater then 4.4

-The goal is to flash a custom recovery, make back ups.

New to this forum, thank you!

2 Likes

U must use safe straps as the recovery I got it working on my old gs4 att it should work on verizon

1 Like

Make sure to do your home work first

2 Likes

What version of Android did you have running at the time of flashing your phone?

2 Likes

4.4.4

1 Like

Did you have to load the Kernel as well?

2 Likes

Nope

1 Like

There should be a YouTube video on YouTube for safe strap by gadget hacks he is actually using a Verizon model to do that video so there are files for AT&t and Verizon in his video

2 Likes

You could try towel root on XDA version 3 if you can root your phone with towel root safe strap should work

1 Like

First one I saw was https://forum.xda-developers.com/t/discontinued-safestrap-5-0-lollipop-recovery-for-kltevzw-s5.3313800/

I found lots on XDA forums. Would recommend lots of studying to find one that is applicable.

2 Likes

Phone was previously rooted…

2 Likes

Yeah I used towel root to root it then install safe strap

1 Like

Oh they discontinued it

1 Like

Unfortunately, that’s the best I could find.

1 Like

I’ll see if I can find something

1 Like

:+1:

1 Like
1 Like
1 Like

Here watch this

1 Like

Nice!